rte_pci_id(3)

NAME
rte_pci_id

SYNOPSIS

#include <rte_pci.h>

  Data Fields

uint32_t class_id
uint16_t vendor_id
uint16_t device_id
uint16_t subsystem_vendor_id
uint16_t subsystem_device_id

Detailed Description

A structure describing an ID for a PCI driver. Each driver provides a table of these IDs for each device that it supports.

Definition at line 170 of file rte_pci.h.

Field Documentation

  uint32_t class_id
Class ID or RTE_CLASS_ANY_ID.

Definition at line 171 of file rte_pci.h.

  uint16_t vendor_id
Vendor ID or RTE_PCI_ANY_ID.

Definition at line 172 of file rte_pci.h.

  uint16_t device_id
Device ID or RTE_PCI_ANY_ID.

Definition at line 173 of file rte_pci.h.

  uint16_t subsystem_vendor_id
Subsystem vendor ID or RTE_PCI_ANY_ID.

Definition at line 174 of file rte_pci.h.

  uint16_t subsystem_device_id
Subsystem device ID or RTE_PCI_ANY_ID.

Definition at line 175 of file rte_pci.h.

Author

Generated automatically by Doxygen for DPDK from the source code.